
Smart Proxy - Bug #14755

Error during startup, terminating. unsupported signal SIGUSR1 (windows)

04/21/2016 08:48 AM - Dmitry Sakun

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.12.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/413

  

Description

I recently upgraded to the latest smart-proxy snapshot and got the following exception when running on windows:

E, [2016-04-21T14:34:45.571557 #1300] ERROR -- : Error during startup, terminating. unsupported signal SIGUSR1

D, [2016-04-21T14:34:45.571557 #1300] DEBUG -- : ["C:/Program Files (x86)/smart-proxy/lib/proxy/signal_handler.rb:37:in `trap'",

"C:/Program Files (x86)/smart-proxy/lib/proxy/signal_handler.rb:37:in `install_usr1_trap'", "C:/Program Files

(x86)/smart-proxy/lib/proxy/signal_handler.rb:11:in `install_traps'", "C:/Program Files (x86)/smart-proxy/lib/launcher.rb:139:in

`launch'", "smart-proxy:6:in `<main>'"]

Quick fix provided by Dominic: comment out the installation of the USR1 signal handler in lib/proxy/signal_handler.rb

Related issues:

Related to Smart Proxy - Bug #12295: Smart proxy stops listening on HTTPS por... Closed 10/23/2015

Associated revisions

Revision f954bb2f - 05/02/2016 04:56 AM - Dmitri Dolguikh 

Fixes #14755 - Do not install SIGUSR1 handler on windows.

History

#1 - 04/21/2016 08:49 AM - Dominic Cleal

- Related to Bug #12295: Smart proxy stops listening on HTTPS port after log rotate added

#2 - 04/21/2016 08:49 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from smart-proxy: Error during startup, terminating. unsupported signal SIGUSR1 (windows) to Error during startup, terminating.

unsupported signal SIGUSR1 (windows)

- Category changed from Smart Proxy to Core

#3 - 04/29/2016 11:27 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/413 added

#4 - 05/02/2016 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f954bb2f3457f51c90db23611fb232f9952c3811.

Powered by TCPDF (www.tcpdf.org)

05/22/2024 1/1

https://projects.theforeman.org/issues/1300
https://projects.theforeman.org/issues/1300
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/f954bb2f3457f51c90db23611fb232f9952c3811
http://www.tcpdf.org

